org.codehaus.plexus.logging

## Interface LoggerManager

All Known Implementing Classes:
  AbstractLoggerManager, BaseLoggerManager, ConsoleLoggerManager

    public interface LoggerManager

Version:
  $Id: LoggerManager.java 1323 2004-12-20 23:00:59Z jvanzyl $
Author:
  Jason van Zyl, Trygve Laugstøl

### Field Summary

Fields
`static String` `ROLE`

### Method Summary

Methods
`int` `getActiveLoggerCount()`
`Logger` `getLoggerForComponent(String role)`
`Logger` `getLoggerForComponent(String role, String roleHint)`
`int` `getThreshold()` Returns the current threshold for all new loggers.
`int` `getThreshold(String role)`
`int` `getThreshold(String role, String roleHint)`
`void` `returnComponentLogger(String role)`
`void` `returnComponentLogger(String role, String hint)`
`void` `setThreshold(int threshold)` Sets the threshold for all new loggers.
`void` `setThreshold(String role, int threshold)`
`void` `setThreshold(String role, String roleHint, int threshold)`

### Field Detail

#### ROLE

    static final String ROLE

### Method Detail

#### setThreshold

    void setThreshold(int threshold)

Sets the threshold for all new loggers. It will NOT affect the existing loggers. This is usually only set once while the logger manager is configured.

Parameters:
  `threshold` - The new threshold.

#### getThreshold

    int getThreshold()

Returns the current threshold for all new loggers.

Returns:
  Returns the current threshold for all new loggers.

#### setThreshold

    void setThreshold(String role,
                    int threshold)

#### setThreshold

    void setThreshold(String role,
                    String roleHint,
                    int threshold)

#### getThreshold

    int getThreshold(String role)

#### getThreshold

    int getThreshold(String role,
                   String roleHint)

#### getLoggerForComponent

    Logger getLoggerForComponent(String role)

#### getLoggerForComponent

    Logger getLoggerForComponent(String role,
                               String roleHint)

#### returnComponentLogger

    void returnComponentLogger(String role)

#### returnComponentLogger

    void returnComponentLogger(String role,
                             String hint)

#### getActiveLoggerCount

    int getActiveLoggerCount()